Retrieves a list of all URL redirects based on the given query parameters.
http
GET https://services.leadconnectorhq.com/funnels/lookup/redirect/listAuthorization
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
Authorization | string | Yes | Bearer token generated from the Leadway portal. See Authentication. | |
Version | string | Yes | 2021-07-28 | API version. |
Query parameters
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
locationId | string | Yes | 6p2RxpgtMKQwO3E6IUaT | |
limit | number | Yes | 20 | |
offset | number | Yes | 10 | |
search | string | No | example.com/test |
Responses
200 - Successful response - List of URL redirects returned
data(object, required): Object containing the count of redirects and an array of redirect data
json
{
"data": {
"count": 42,
"data": []
}
}422 - Unprocessable Entity - The provided data is invalid or incomplete
Example
curl -X GET 'https://services.leadconnectorhq.com/funnels/lookup/redirect/list' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28'const response = await fetch('https://services.leadconnectorhq.com/funnels/lookup/redirect/list', {
method: 'GET',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
},
});
const data = await response.json();import os, requests
response = requests.request(
'GET',
'https://services.leadconnectorhq.com/funnels/lookup/redirect/list',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
},
)
data = response.json()<?php
$ch = curl_init('https://services.leadconnectorhq.com/funnels/lookup/redirect/list');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
],
]);
$data = json_decode(curl_exec($ch), true);